<template>
<v-dialog
      v-model="dialog"
      max-width="290"
      persistent
    >
    <v-card>
        <v-card-title class="headline">Error</v-card-title>
        <v-card-text>{{ error.msg }}</v-card-text>
        <v-card-actions>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
          <v-spacer></v-spacer>
          <v-btn color="secondary" text @click="close">OK</v-btn>
        </v-card-actions>
      </v-card>
</v-dialog>
</template>

<script>
export default {
    methods:{
        close(){
            if (this.$store.state.error.status == 401) this.logout()
            else this.$store.commit('cleanError') 
        },
        logout(){
            this.$store.dispatch('logout')
            this.$router.go()
        }
    },
    computed:{
        error(){
            if (this.$store.state.error !== null) return this.$store.state.error
            else return { status: '', msg: ''}
        },
        dialog(){
            return this.$store.state.error != null
        }
    }
}
</script>